
/* 
  CoMinder SpaceStat Installation - Schema and Grants
  ver.: 0.52
*/
  
create user SPACESTAT identified by &SPACESTAT_PWD
default tablespace SPACESTAT
temporary tablespace TEMP
account unlock;

-- grants
grant create session to SPACESTAT;
grant resource to SPACESTAT;
grant select any dictionary to SPACESTAT; 
grant create database link to SPACESTAT;
grant select on V$DATABASE to SPACESTAT; 

-- quotas
alter user SPACESTAT quota unlimited on SPACESTAT;  

--- The End ----