
-- show list of snapshots
col SNAP_ID format 999999
col DB_NAME format a10
  
  SELECT DB_NAME, DBID, SNAP_ID, SNAP_TYPE, STATUS, 
         TO_CHAR(start_time, 'DD-MM-YYYY HH24:MI:SS') AS start_time,
         TO_CHAR(end_time, 'DD-MM-YYYY HH24:MI:SS') AS end_time
    FROM SPACESTAT.SPS_SNAPS
   where start_time >= SYSDATE-32   
ORDER BY snap_id ASC;
